Browse Source

Upgrades and simple fix for solhint plugins

Juan Blanco 5 months ago
parent
commit
574e98311a
3 changed files with 4 additions and 4 deletions
  1. 3 3
      package.json
  2. BIN
      solidity-0.0.74.vsix
  3. 1 1
      src/linter/solhint.ts

+ 3 - 3
package.json

@@ -10,7 +10,7 @@
     "nethereum",
     "solhint"
   ],
-  "version": "0.0.73",
+  "version": "0.0.74",
   "publisher": "JuanBlanco",
   "engines": {
     "vscode": "^1.30.0"
@@ -62,9 +62,9 @@
     "mythxjs": "1.3.9",
     "nethereum-codegen": "^1.0.12",
     "prettier": "^2.0.2",
-    "prettier-plugin-solidity": "1.0.0-alpha.51",
+    "prettier-plugin-solidity": "1.0.0-alpha.54",
     "require-from-string": "^2.0.2",
-    "solc": "^0.6.8",
+    "solc": "^0.6.9",
     "solhint": "^3.0.0",
     "solium": "^1.2.5",
     "solparse": "^2.2.8",

BIN
solidity-0.0.74.vsix


+ 1 - 1
src/linter/solhint.ts

@@ -70,7 +70,7 @@ class ValidationConfig {
 
         return {
             extends: extendsConfig,
-            plugins : this.fileConfig.plugins,
+           // plugins : this.fileConfig.plugins, //removed plugins as it crashes the extension until this is fully supported path etc loading in solhint
             rules: Object.assign(
                 ValidationConfig.DEFAULT_RULES,
                 this.ideRules,